package com.zhongdao.jlr.business.dao;

import com.dubh.common.dao.Dao;
import com.util.Vo;
import com.zhongdao.jlr.business.vo.JLRMenu;
import com.zhongdao.jlr.pojo.BaseMenu;
import com.zhongdao.jlr.pojo.JLRAuthority;
import com.zhongdao.jlr.pojo.JLRRole;
import com.zhongdao.jlr.pojo.JLRUser;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

/***
 * 接口
 */
public interface RoleDao extends Dao{

    /***
     * 获取角色信息
     * @param request
     * @param name
     * @return
     */
    Vo getRoleInfo(HttpServletRequest request, String name);

    /***
     * 获取树的信息
     * @return
     */
    List<JLRMenu> getTreeInfo();

    /***
     * 添加角色信息
     */
    boolean updateRoleInfo(JLRRole jlrRole);

    /***
     * 添加角色权限信息
     */
    boolean updateRolesInfo(JLRAuthority jlrAuthority);

    /***
     * 根据id获取角色信息
     * @return
     */
    JLRRole getUser(String id);

    /***
     * 根据角色id获取菜单信息
     * @param id
     * @return
     */
    List<BaseMenu> getMenu(String id);

    /***
     * 删除权限信息
     * @param id
     * @return
     */
    boolean deleteSupplier(Integer id);
}
